Index: code/branches/ogre1.9/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/CampaignMenu.layout	(revision 11125)
+++ code/branches/ogre1.9/data/gui/layouts/CampaignMenu.layout	(revision 11211)
@@ -1,98 +1,95 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/CampaignBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
-            <Property Name="Text" Value="Mission One" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="CampaignBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="Mission1Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Mission One" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
+            <Event function="CampaignMenu.Mission1Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
-            <Property Name="Text" Value="Fight in our Back" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
+        <Window name="Mission2Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Fight in our Back" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission2Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Button" >
-            <Property Name="Text" Value="Pirate Attack" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
+        <Window name="Mission3Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Pirate Attack" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission3Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Button" >
-            <Property Name="Text" Value="Trip to Area 51" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
+        <Window name="Mission4Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Trip to Area 51" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission4Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
-            <Property Name="Text" Value="Area 51 under Fire" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
+        <Window name="Mission5Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Area 51 under Fire" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission5Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Button" >
-            <Property Name="Text" Value="Escape the Bastards" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
+        <Window name="Mission6Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Escape the Bastards" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission6Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Button" >
-            <Property Name="Text" Value="Expedition to Sector 5C" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
+        <Window name="Mission7Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Expedition to Sector 5C" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission7Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Button" >
-            <Property Name="Text" Value="Shuttle under Attack" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
+        <Window name="Mission8Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Shuttle under Attack" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission8Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Button" >
-            <Property Name="Text" Value="Retaliation" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
+        <Window name="Mission9Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Retaliation" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission9Button_clicked" name="Clicked" />
         </Window>
-
-
-        <Window Type="MenuWidgets/Button" Name="orxonox/CampaignMenuBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.CampaignMenuBackButton_clicked"/> 
+        <Window name="CampaignMenuBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
+            <Event function="CampaignMenu.CampaignMenuBackButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/CampaignMenuCongratulation" >
-            <Property Name="Text" Value="Campaign Completed!!!" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedMaxSize" Value="{{2,1},{2,1}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.15,0},{0.6,0},{0.2,0}}" />
+        <Window name="CampaignMenuCongratulation" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Campaign Completed!!!" />
+            <Property name="Visible" value="False" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="MaxSize" value="{{2,1},{2,1}}" />
+            <Property name="Area" value="{{0.4,0},{0.15,0},{0.6,0},{0.2,0}}" />
         </Window>
     </Window>
